This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 923467 (CVE-2013-1871)

Summary: CVE-2013-1871 Satellite/Spacewalk: XSS in EditAddress page
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact: Dimitar Yordanov <dyordano>
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: cperry, dyordano, ggainey, jpazdziora, meissner, security-response-team, taw, thomas, tlestach
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140210,reported=20130225,source=researcher,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,rhn_satellite_5.6/spacewalk-web=affected,fedora-all/spacewalk-web=affected,cwe=CWE-79[auto]
Fixed In Version: spacewalk-java-2.0.2-57-sat Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-11 08:09:00 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 915467    
Bug Blocks: 915998, 1011743    
Attachments:
Description Flags
Patch fixes XSS issue none

Description Vincent Danen 2013-03-19 19:04:34 EDT
Ryan Giobbi from UPMC reported an XSS flaw in the EditAddress.do page:

Request

GET /rhn/account/EditAddress.do?type=M83ab7<script>alert(1)</script>c47ea873a9d&uid=41 HTTP/1.1
Host: host.example.com
Accept: */*
Accept-Language: en
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0)
Connection: close

Response

HTTP/1.0 200 OK
Date: Thu, 21 Feb 2013 18:24:04 GMT
Content-Type: text/html;charset=UTF-8
Set-Cookie: pxt-session-cookie=7053xcace9e6d1158735e6f047ab49e4e509c; Path=/; Secure; HttpOnly
Connection: close


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US" xml:lang="e
...[SNIP]...
<h2>
**address type M83ab7<script>alert(1)</script>c47ea873a9d**
Record:
</h2>
...[SNIP]...
Comment 1 Vincent Danen 2013-03-19 19:04:59 EDT
Acknowledgements:

Red Hat would like to thank Ryan Giobbi of UPMC for reporting this issue.
Comment 2 Grant Gainey 2013-11-05 15:13:37 EST
Created attachment 820005 [details]
Patch fixes XSS issue

Fix the reported issue
Comment 3 Grant Gainey 2014-01-24 10:42:51 EST
commit 07a7bd38b492cf2d77e1223ae3acfac75244254e
Comment 5 errata-xmlrpc 2014-02-10 12:33:21 EST
This issue has been addressed in following products:

  Red Hat Satellite Server v 5.6

Via RHSA-2014:0148 https://rhn.redhat.com/errata/RHSA-2014-0148.html